Provide Feedback (v2)
The Provide Feedback (v2) feedback service sends feedback or reports an issue to Oracle.
For the previous version of this API, see Provide Feedback.
Required Roles
Service Administrator, Power User, User, Viewer
REST Resource
POST /interop/rest/v2/services/feedback
Request
Supported Media Types: multipart/form-data
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
fileName |
The name of the zip file that you want Oracle support to use to resolve the current issue. | Multipart | Yes | None |
file |
Multiple files like EPM Automate scripts or Fiddler traces required to be submitted to Oracle can be zipped altogether and uploaded. | Multipart | Yes | None |
configuration |
Details of the client, OS, URL, and description of the issue. | Multipart | Yes | None |
Example URL and Payload
https://<BASE-URL>/interop/rest/v2/services/feedback
{
"configuration": {
"Operating_System": "OPERATING_SYSTEM",
"EPMAutomate_Version": "EPMAUTOMATE_VERSION",
"Java_Vendor": "JAVA_VENDOR",
"Java_Version": "JAVA_VERSION",
"URL": "URL",
"description": "abc"
}
}
Response
Supported Media Types: application/json
Table 2-176 Parameters
| Name | Description |
|---|---|
details |
Published in case of errors with the error string |
status |
See Migration Status Codes |
items |
Details about the resource |
issueRef |
Feedback reference to contact Oracle support |
links |
Detailed information about the link |
href |
Links to API call |
action |
The HTTP call type |
rel |
Possible value: self |
data |
Parameters as key value pairs passed in the request |
Example of Response Body
"details": null,
"status": 0,
"items": [
{
"issueRef": "UDR_default_epm_default_cloud_admin_2022_10_11_01_47_10"
}
],
"links": [
{
"href": "https://<BASE-URL>/interop/rest/v2/services/feedback",
"action": "POST",
"rel": "self",
"data": null
}
]
}
Sample cURL Command
curl -X POST -s -u '<USERNAME>:<PASSWORD>' -o response.txt -D respHeader.txt -H 'Content-Type: multipart/form-data' -F 'fileName=abc.zip' -F'configuration={"configuration":{"Operating_System": "Windows 10",
"EPMAutomate_Version":"EPMAUTOMATE_VERSION","Java_Vendor":"JAVA_VENDOR","Java_Version":"JAVA_VERSION","URL":"https://<BASE URL>","description":"DESCRIPTIONabc"}}' -F 'file=@/
<FILE_PATH>' 'https://<BASE-URL>/interop/rest/v2/services/feedback'